Bug 12692 - SerialPort GetPortNames
Summary: SerialPort GetPortNames
Status: RESOLVED NORESPONSE
Alias: None
Product: Class Libraries
Classification: Mono
Component: System (show other bugs)
Version: unspecified
Hardware: Other Linux
: --- normal
Target Milestone: Untriaged
Assignee: Bugzilla
URL:
Depends on:
Blocks:
 
Reported: 2013-06-14 12:07 UTC by jrote1
Modified: 2018-03-13 11:07 UTC (History)
2 users (show)

Tags:
Is this bug a regression?: ---
Last known good build:


Attachments
A suggested GetPortNames Fix (980 bytes, patch)
2013-06-14 12:11 UTC, jrote1
Details


Notice (2018-05-24): bugzilla.xamarin.com is now in read-only mode.

Please join us on Visual Studio Developer Community and in the Xamarin and Mono organizations on GitHub to continue tracking issues. Bugzilla will remain available for reference in read-only mode. We will continue to work on open Bugzilla bugs, copy them to the new locations as needed for follow-up, and add the new items under Related Links.

Our sincere thanks to everyone who has contributed on this bug tracker over the years. Thanks also for your understanding as we make these adjustments and improvements for the future.


Please create a new report on GitHub or Developer Community with your current version information, steps to reproduce, and relevant error messages or log files if you are hitting an issue that looks similar to this resolved bug and you do not yet see a matching new report.

Related Links:
Status:
RESOLVED NORESPONSE

Description jrote1 2013-06-14 12:07:12 UTC
Description of Problem:
System.IO.Ports.SerialPort.GetPortNames()

Steps to reproduce the problem:
1. Run System.IO.SerialPort.GetPortNames();

Actual Results:
If a USB Serial Port Is Connected It No longer outputs internal usb ports. It only outputs Serial Ports starting with ttyS and ttyUSB

Expected Results:
It should always display every serial port.

How often does this happen? 
Everytime

Additional Information:
Why is the code made to do this as it is hard coded into the mono source. What is reasoning for this decision?
Comment 1 jrote1 2013-06-14 12:11:29 UTC
Created attachment 4115 [details]
A suggested GetPortNames Fix

A method from:

Location: mono/mcs/class/System/System.IO.Ports/SerialPort.cs 

Which I think is a fix for the problem
Comment 2 Rodrigo Kumpera 2013-06-17 14:55:55 UTC
Hi,

Could you make a pull request out of this change and include some test case for it?
Comment 3 Marek Safar 2018-03-13 11:07:28 UTC
We have not received the requested information. If you are still experiencing this issue please provide all the requested information and reopen the bug report.

Thank you!